mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Reflection.FieldInfo System.Runtime.InteropServices._FieldBuilder System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.None) System.Runtime.InteropServices.ComDefaultInterface(typeof(System.Runtime.InteropServices._FieldBuilder)) System.Runtime.InteropServices.ComVisible(true)

Get an instance of FieldBuilder by calling , , or .

The method is currently not supported. As a workaround, retrieve the by reflecting on the finished type and call to set the value of the field.

Defines and represents a field. This class cannot be inherited.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.FieldAttributes To be added.

  The following code sample illustrates the use of Attributes.

  code reference: FieldBuilder_ReflectedType#1

  Indicates the attributes of this field. This property is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Indicates a reference to the object for the type that declares this field. This property is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.RuntimeFieldHandle To be added. To be added.

  Indicates the internal metadata handle for this field. This property is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added. To be added.

  Indicates the object that represents the type of this field. This property is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` To be added.

  Returns all the custom attributes defined for this field.

  An array of type representing all the custom attributes of the constructor represented by this instance.

  Controls inheritance of custom attributes from base classes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` `` To be added.

  Returns all the custom attributes defined for this field identified by the given type.

  An array of type representing all the custom attributes of the constructor represented by this instance.

  The custom attribute type. Controls inheritance of custom attributes from base classes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.Emit.FieldToken To be added

  Returns the token representing this field.

  Returns the object that represents the token for this field.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  If the field is static, the parameter is ignored. For non-static fields, should be an instance of a class that inherits or declares the field.

  The return type of is . For example, if the field holds a Boolean primitive value, an instance of with the appropriate Boolean value is returned. Before returning the value, checks to see if the user has access permission.

  Access restrictions are ignored for fully-trusted code. Private constructors, methods, fields, and properties can be accessed and invoked using Reflection whenever the code is fully-trusted.

  Retrieves the value of the field supported by the given object.

  An containing the value of the field reflected by this instance.

  The object on which to access the field.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Indicates whether an attribute having the specified type is defined on a field.

  true if one or more instance of is defined on this field; otherwise, false.

  The type of the attribute. Controls inheritance of custom attributes from base classes.
- Property
  2.0.0.0
  4.0.0.0
  System.Reflection.Module To be added. To be added.

  Gets the module in which the type that contains this field is being defined.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  The following code sample illustrates the use of Name.

  code reference: FieldBuilder_Class_Name#1

  Indicates the name of this field. This property is read-only.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added.

  A object represents a field of a particular class. In order to obtain a object, the object that represents the class that supports the field is queried. This property holds a reference to that object.

  The following code sample illustrates the use of ReflectedType.

  code reference: FieldBuilder_ReflectedType#1

  Indicates the reference to the object from which this object was obtained. This property is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  is restricted to the following types: Boolean, SByte, Int16, Int32, Int64, Byte, UInt16, UInt32, UInt64, Single, Double, DateTime, Char, String, and Enum. If the field type is a reference type, CLS compliance requires to be null. However, starting with the net_v40_long, can be non-null for a reference type as long as the value can be assigned to that reference type. For example, an Int32 value can be assigned to a field of type . This is not CLS-compliant, but it can be useful in interop scenarios.

  Sets the default value of this field.

  The new default value for this field.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Sets a custom attribute using a custom attribute builder.

  An instance of a helper class to define the custom attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(true)
  System.Void `` ``

  See the metadata specification in the ECMA Partition II documentation for details on how to format . The documentation is available online; see ECMA C# and Common Language Infrastructure Standards on MSDN and Standard ECMA-335 - Common Language Infrastructure (CLI) on the Ecma International Web site.

  Sets a custom attribute using a specified custom attribute blob.

  The constructor for the custom attribute. A byte blob representing the attributes.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("An alternate API is available: Emit the MarshalAs custom attribute instead.")
  System.Void ``

  The following code sample illustrates the use of SetMarshal.

  code reference: FieldBuilder_SetOffset#1

  Describes the native marshaling of the field.

  A descriptor specifying the native marshalling of this field.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The following code sample illustrates the use of SetOffset.

  code reference: FieldBuilder_SetOffset#1

  Specifies the field layout.

  The offset of the field within the type containing this field.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` ``

  This method will assign the parameter to the field reflected by this instance on . If the field is static, will be ignored. For non-static fields, should be an instance of a class that inherits or declares the field.

  The new value is passed as an . For example, if the field's type is Boolean, an instance of with the appropriate Boolean value is passed. Before setting the value, checks to see if the user has access permission.

  Access restrictions are ignored for fully-trusted code. Private constructors, methods, fields, and properties can be accessed and invoked using Reflection whenever the code is fully-trusted.

  This method is currently not supported. As a workaround, retrieve the by reflecting on the finished type and call to set the value of the field.

  Sets the value of the field supported by the given object.

  The object on which to access the field. The value to assign to the field. A member of IBinder that specifies the type of binding that is desired (for example, IBinder.CreateInstance, IBinder.ExactBinding). A set of properties and enabling for binding, coercion of argument types, and invocation of members using reflection. If binder is null, then IBinder.DefaultBinding is used. The software preferences of a particular culture.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is for access to managed classes from unmanaged code, and should not be called from managed code. For more information about IDispatch::GetTypeInfo, see the MSDN Library.

  Retrieves the type information for an object, which can then be used to get the type information for an interface.

  The type information to return. The locale identifier for the type information. Receives a pointer to the requested type information object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.